package com.edgec.browserbackend.browser.repository;

import com.edgec.browserbackend.browser.domain.Shop;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface ShopRepository extends MongoRepository<Shop, String> {
    List<Shop> findByShopIdInAndIpRegionLike(List<String> shopIds, String ipRegion);
    List<Shop> findByShopIdInAndShopAccountLike(List<String> shopIds, String shopAccount);
    List<Shop> findByShopIdInAndShopNameLike(List<String> shopIds, String shopName);
    List<Shop> findByShopIdIn(List<String> shopIds);
}
